package com.muyu.marketing.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamProductInfoUpdModel {
    /**
     * 活动ID
     */
    private Long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 商品SkU模型
     */
    public ActivityTeamUpdSKuModel updSkuList;
    /**
     * 活动详情
     */
    private String content;
}
